let util = require('../../../utils/util.js');
var that
Page({

  /**
   * 页面的初始数据
   */
  data: {
    typeid: 0,
    typeonlyid: 0,
    icon: ''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    that = this
    this.getTypes()
  },
  settype(e) {
    if (e.currentTarget.dataset.id != -1) {
      this.setData({
        typeid: e.currentTarget.dataset.id,
        icon: e.currentTarget.dataset.icon,

      })
    }
  },
  save() {
    if (!this.data.name) {
      util.showToast('请输入名称')
      return
    }
    if (!this.data.typeid) {
      util.showToast('请选择图标')
      return
    }
    util.query('expendtype/wxapi/create', {
      name: this.data.name,
      icon: this.data.icon,
      isDelete: 0
    }, function(res) {
      if (res.code === 10000) {
        util.showToast('保存成功')
        setTimeout(function() {
          wx.navigateBack({
            delta: 1
          })
        }, 2000)
      } else {
        util.showToast('保存失败')
      }
    }, 'POST')
  },
  setname(e) {
    this.setData({
      name: e.detail.value
    })
  },
  getTypes() {
    util.query('expendtype/wxapi/listall', {
      pageNo: 1,
      pageSize: 999
    }, function(res) {
      if (res.code === 10000) {
        var types = []

        res.data.forEach(function(da) {
          var isfind = false
          for (var i = 0; i < types.length; i++) {
            if (da.icon === types[i].icon) {
              isfind = true
              break
            }
          }
          if (!isfind) {
            types.push(da)
          }
        })


        var tt = []
        for (var i = 0; i < parseInt(types.length / 6) + 1; i++) {
          tt[i] = []
          for (var j = i * 6; j < (1 + i) * 6; j++) {
            if (types[j]) {
              tt[i].push(types[j])
            } else {
              tt[i].push({
                no: 1
              })
            }
          }

        }
        that.setData({
          types: tt
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})